mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.IRegistrationServices System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("475e398f-8afa-43a7-a3be-f4ef8d6787c9")

Registration is needed when the objects within an assembly are being used by COM clients. The [<topic://cpgrfassemblyregistrationtoolregasmexe>] and vsprvsext use methods exposed by the class to add or remove COM-enabling registry entries for managed assemblies.

You can use the following methods to assist you in preparing a registration file:

Although these methods help in gathering information to be used in a registration file, they do not actually produce a registration file. Instead, you can use the Assembly Registration Tool (Regasm.exe) tool with the /regfile option to perform this task. methods cannot export and register a type library. To export and register a type library, you can use the Assembly Registration Tool (Regasm.exe) tool and the Type Library Exporter (Tlbexp.exe) tool.

Provides a set of services for registering and unregistering managed assemblies for use from COM.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added

  Returns the GUID of the COM category that contains the managed classes.

  The GUID of the COM category that contains the managed classes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Retrieves the COM ProgID for the specified type.

  The ProgID for the specified type.

  The type corresponding to the ProgID that is being requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] `` To be added

  Retrieves a list of classes in an assembly that would be registered by a call to .

  A array containing a list of classes in .

  The assembly to search for classes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  RegisterAssembly adds the appropriate registry entries for the types in the specified assembly. This method also calls any registration functions found in the assembly.

  Use to get an assembly.

  Registers the classes in a managed assembly to enable creation from COM.

  true if contains types that were successfully registered; otherwise false if the assembly contains no eligible types.

  The assembly to be registered. An value indicating any special settings used when registering .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'Type' To be added: an object of type 'Guid&' To be added To be added
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 `` `` ``

  This method is equivalent to calling CoRegisterClassObject in COM. The method is not atomic and can cause unpredictable results when used in a multithreaded context.

  In the .NET Framework version 2.0 and later, use the method to unregister a type in COM.

  Note that using platform invoke to call the unmanaged CoRegisterClassObject and CoDisconnectObject methods for registration and unregistration of COM objects is not supported.

  Registers the specified type with COM using the specified execution context and connection type.

  An integer that represents a cookie value.

  The object to register for use from COM. One of the values that indicates the context in which the executable code will be run. One of the values that specifies how connections are made to the class object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether a type is marked with the , or derives from a type marked with the and shares the same GUID as the parent.

  true if a type is marked with the , or derives from a type marked with the and shares the same GUID as the parent; otherwise false.

  The type to check for being a COM type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the specified type requires registration.

  true if the type must be registered for use from COM; otherwise false.

  The type to check for COM registration requirements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  UnregisterAssembly removes the registry entries for the types in the specified assembly previously added by . This method also calls any unregistration functions found in the assembly.

  Unregisters the classes in a managed assembly.

  true if contains types that were successfully unregistered; otherwise false if the assembly contains no eligible types.

  The assembly to be unregistered.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void ``

  Note that using platform invoke to call the unmanaged CoRegisterClassObject and CoDisconnectObject methods to register and unregister COM objects is not supported.

  Removes references to a type registered with the method.

  The cookie value returned by a previous call to the method overload.